﻿Class Application

    ' Application-level events, such as Startup, Exit, and DispatcherUnhandledException
    ' can be handled in this file.

    Private Sub Application_Startup(sender As Object, e As StartupEventArgs)
        EventManager.RegisterClassHandler(GetType(UIElement), Keyboard.PreviewGotKeyboardFocusEvent, New KeyboardFocusChangedEventHandler(AddressOf OnElementGotKeyboardFocus))
        EventManager.RegisterClassHandler(GetType(UIElement), Keyboard.PreviewLostKeyboardFocusEvent, New KeyboardFocusChangedEventHandler(AddressOf OnElementLostKeyboardFocus))
    End Sub

    Private Sub OnElementGotKeyboardFocus(sender As Object, e As KeyboardFocusChangedEventArgs)
        If sender IsNot Nothing AndAlso sender.ToolTip IsNot Nothing AndAlso Not String.IsNullOrEmpty(sender.ToolTip) Then
            DirectCast(Application.Current.MainWindow, MainWindow).MainStatusBarTextBlock.Text = sender.ToolTip
        End If
    End Sub
    Private Sub OnElementLostKeyboardFocus(sender As Object, e As KeyboardFocusChangedEventArgs)
        DirectCast(Application.Current.MainWindow, MainWindow).MainStatusBarTextBlock.Text = ""
    End Sub

End Class
